Subject: bug#54993: 28.1; Editing etc/NEWS on master with Emacs 28 signals an error

From: Eli Zaretskii <[email-masked]>
Date: Sun, 17 Apr 2022 21:49:27 +0300

> From: Lars Ingebrigtsen <[email-masked]>
> Cc: [email-masked]
> Date: Sun, 17 Apr 2022 20:38:57 +0200
> 
> Eli Zaretskii <[email-masked]> writes:
> 
> > I think a new mode that is only available in the development version
> > should not be forced on all the developers, because not all of them
> > use the latest-and-the-greatest code all the time while working on
> > Emacs.
> 
> Not using the trunk to edit files from the trunk sounds rather
> error-prone.  Indentation rules etc has changed.

It is IMO unreasonable to expect everyone to use the latest
development code.  What about people who sync with Git once a month,
for example?  Or what about editing the file on a system that doesn't
even have the master branch built?

> > Please make it possible to edit NEWS conveniently with older versions
> > of Emacs.
> 
> You can still edit the file -- you just get an error message (which you
> can ignore).

No, I get Fundamental mode -- which means no highlighting of headings,
not auto-filling, not Flyspell, etc. -- all I have in Outline mode is
suddenly gone.